OGRE: Ogre::v1::SkeletonSerializer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::v1::SkeletonSerializer Class Reference
Core » Animation

Class for serialising skeleton data to/from an OGRE .skeleton file. More...

`#include <OgreSkeletonSerializer.h>`

Inheritance diagram for Ogre::v1::SkeletonSerializer:
[legend]

## Public Types
enum | Endian { ENDIAN_NATIVE, ENDIAN_BIG, ENDIAN_LITTLE }
| The endianness of written files. More...

## Public Member Functions
| SkeletonSerializer ()
virtual | ~SkeletonSerializer ()
void | exportSkeleton (const Skeleton *pSkeleton, const String &filename, SkeletonVersion ver=SKELETON_VERSION_LATEST, Endian endianMode=ENDIAN_NATIVE)
| Exports a skeleton to the file specified. More...
void | exportSkeleton (const Skeleton *pSkeleton, DataStreamPtr stream, SkeletonVersion ver=SKELETON_VERSION_LATEST, Endian endianMode=ENDIAN_NATIVE)
| Exports a skeleton to the stream specified. More...
void | importSkeleton (DataStreamPtr &stream, Skeleton *pDest)
| Imports Skeleton and animation data from a .skeleton file DataStream. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Class for serialising skeleton data to/from an OGRE .skeleton file.

Remarks
  This class allows exporters to write OGRE .skeleton files easily, and allows the OGRE engine to import .skeleton files into instantiated OGRE Skeleton objects. Note that a .skeleton file includes not only the Skeleton, but also definitions of any Animations it uses.

  To export a Skeleton:
  1. Create a Skeleton object and populate it using it's methods.
  2. Call the exportSkeleton method

## Member Enumeration Documentation

## ◆ Endian

enum Ogre::Serializer::Endian
| inherited

The endianness of written files.

Enumerator
ENDIAN_NATIVE | Use the platform native endian.
ENDIAN_BIG | Use big endian (0x1000 is serialised as 0x10 0x00)
ENDIAN_LITTLE | Use little endian (0x1000 is serialised as 0x00 0x10)

## Constructor & Destructor Documentation

## ◆ SkeletonSerializer()

Ogre::v1::SkeletonSerializer::SkeletonSerializer | ( |  | ) |

## ◆ ~SkeletonSerializer()

virtual Ogre::v1::SkeletonSerializer::~SkeletonSerializer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ exportSkeleton() [1/2]

void Ogre::v1::SkeletonSerializer::exportSkeleton | ( | const Skeleton * | pSkeleton,
|  | const String & | filename,
|  | SkeletonVersion | ver = `SKELETON_VERSION_LATEST`,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |

Exports a skeleton to the file specified.

Remarks
  This method takes an externally created Skeleton object, and exports both it and animations it uses to a .skeleton file.

Parameters

  pSkeleton | Weak reference to the Skeleton to export
  filename | The destination filename
  endianMode | The endian mode to write in

## ◆ exportSkeleton() [2/2]

void Ogre::v1::SkeletonSerializer::exportSkeleton | ( | const Skeleton * | pSkeleton,
|  | DataStreamPtr | stream,
|  | SkeletonVersion | ver = `SKELETON_VERSION_LATEST`,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |

Exports a skeleton to the stream specified.

Remarks
  This method takes an externally created Skeleton object, and exports both it and animations it uses to a .skeleton file.

Parameters

  pSkeleton | Weak reference to the Skeleton to export
  stream | The destination stream
  endianMode | The endian mode to write in

## ◆ importSkeleton()

void Ogre::v1::SkeletonSerializer::importSkeleton | ( | DataStreamPtr & | stream,
|  | Skeleton * | pDest
| ) |  |

Imports Skeleton and animation data from a .skeleton file DataStream.

Remarks
  This method imports data from a DataStream opened from a .skeleton file and places it's contents into the Skeleton object which is passed in.

Parameters

  stream | The DataStream holding the .skeleton data. Must be initialised (pos at the start of the buffer).
  pDest | Weak reference to the Skeleton object which will receive the data. Should be blank already.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreSkeletonSerializer.h